Unable to launch DBUA on 10g 2
DBAsupport.com Forums - Powered by vBulletin
Results 1 to 10 of 10

Thread: Unable to launch DBUA on 10g 2

  1. #1
    Join Date
    Mar 2004
    Location
    IA USA
    Posts
    257

    Unable to launch DBUA on 10g 2

    DBAs,

    We installed 10g 2 on solaris sparc 9 64 bit.
    We need to use DBUA to migrate one 8174 to 10g2.
    When launching DBUA, got the following error:
    {MKEXP:/tmp}dbua
    Exception in thread "main" java.lang.UnsatisfiedLinkError:
    /MKEXP/oh/10g/jdk/jre/lib/sparcv9/motif21/libmawt.so: ld.so.1: java: fatal:
    libXm.so.4: open failed: No such file or directory
    at java.lang.ClassLoader$NativeLibrary.load(Native Method)
    at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1586)
    at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1482)
    at java.lang.Runtime.load0(Runtime.java:737)
    at java.lang.System.load(System.java:811)
    at java.lang.ClassLoader$NativeLibrary.load(Native Method)
    at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1586)
    at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1503)
    at java.lang.Runtime.loadLibrary0(Runtime.java:788)
    at java.lang.System.loadLibrary(System.java:834)
    at sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:50)
    at java.security.AccessController.doPrivileged(Native Method)
    at sun.awt.NativeLibLoader.loadLibraries(NativeLibLoader.java:38)
    at sun.awt.DebugHelper.(DebugHelper.java:29)
    at java.awt.Component.(Component.java:506)
    at oracle.sysman.assistants.util.wizard.WizardObject.(WizardObject.java:64)
    at
    oracle.sysman.assistants.dbma.ui.DBMAWizard.(DBMAWizard.java:183)
    at
    oracle.sysman.assistants.dbma.ui.UICompManager.(UICompManager.java:153)
    at oracle.sysman.assistants.dbma.Dbma.getCompManager(Dbma.java:154)
    at oracle.sysman.assistants.dbma.Dbma.execute(Dbma.java:98)
    at oracle.sysman.assistants.dbma.Dbma.statusMain(Dbma.java:199)
    at oracle.sysman.assistants.dbma.Dbma.main(Dbma.java:180)


    Pleaes help.

    Thanks,

    Lily

  2. #2
    Join Date
    Mar 2004
    Location
    IA USA
    Posts
    257
    java -version

    java version "1.4.2_08"
    Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_08-b03)
    Java HotSpot(TM) Client VM (build 1.4.2_08-b03, mixed mode)

  3. #3
    Join Date
    Mar 2004
    Location
    IA USA
    Posts
    257
    env | grep PATH
    PATH=/MKEXP/oh/10g:/MKEXP/oh/10g/bin:/MKEXP/oh/10g/dbautil:/MKEXP/oh/10g/dbautil/bin:/usr/bin:/etc:/usr/ccs/bin:/usr/openwin/bin:/usr/local/bin:/usr/sbin:/
    MKEXP/oh/10g/OPatch:.:
    LD_LIBRARY_PATH=/MKEXP/oh/10g/lib

  4. #4
    Join Date
    Mar 2004
    Location
    IA USA
    Posts
    257
    i can launch dbca successfully.

  5. #5
    Join Date
    Feb 2007
    Posts
    212
    huh? did u solve it urself dear?

  6. #6
    Join Date
    Mar 2002
    Location
    Mesa, Arizona
    Posts
    1,204
    Jen, dbua

    Lily, probably your pre-reqs.

    libXm.so.4: open failed: No such file or directory
    "I do not fear computers. I fear the lack of them." Isaac Asimov
    Oracle Scirpts DBA's need

  7. #7
    Join Date
    Mar 2004
    Location
    IA USA
    Posts
    257
    Thanks.

    The os system missed two packages and one patch.



    Lily

  8. #8
    Join Date
    May 2009
    Posts
    2

    Unable to launch DBUA 10g2 on Solaris 9

    Anyone know what packages are needed for this to work on a Solaris 9 server? I can run dbua on my Solaris 10 servers using 10g2.
    Here is the error:
    $ dbua
    Exception in thread "main" java.lang.UnsatisfiedLinkError: /opt/oracle/OracleHomes/db10g/jdk/jre/lib/sparcv9/motif21/libmawt.so: ld.so.1: java: fatal: libXm.so.4: open failed: No such file or directory

    If I set the path for libXm.so.4 then I get 'libXm.so.4: wrong ELF class: ELFCLASS32'

    This server is 64 bit. but libXm.so.4 is 32 bit. The package for Solaris 9 on this is SUNWmfrun but I guest its 32 bit.

  9. #9
    Join Date
    Sep 2002
    Location
    England
    Posts
    7,331
    what did the install guide say for prerequsistes?

  10. #10
    Join Date
    May 2009
    Posts
    2

    Unable to launch DBUA on 10g2

    Not sure why someone would reply with a question on a question. I worked with a person that was like that once. If you would ask a question, his only relpy would be "did you read the man pages". Not sure if he every knew any of the questions that he was asked.
    As for if all of the packages are install for Oracle 10g on a Solaris 9 server, that would be a YES

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  



Click Here to Expand Forum to Full Width